routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Home
Route::get('/home/{pole}', 'HomeController@index')->name('home');
Route::get('/', 'HomeController@index');

//Auth
Auth::routes();

//Support
Route::get('/support/consultation', 'SupportController@visu')->name('support.visu');
Route::resource('support', 'SupportController', ['except' => ['index', 'destroy']]);

//administration utilisateurs
Route::get('/administration/consultation', 'AdminController@index')->name('administration.index');
Route::resource('administration', 'AdminController', ['except' => ['index']]);


Route::resource('note', 'NoteController');

Route::get('/note/download/{note}', 'NoteController@downloadFile')->name('note.download');
Route::get('/administration/password/{nom}/edit', 'AdminController@editPassword')->name('administration.editPassword');
Route::put('/administration/password/{id}', 'AdminController@updatePassword')->name('administration.updatePassword');

resources/views/layouts/partials/_foot.blade.php
<footer class="text-center text-muted">
	&copy; {{date('Y')}} &middot; MFGS Intranet by <a href="https://github.com/sylv34/MFGS" class="text-danger">Dienst Sylvain</a>
</footer>

resources/views/layouts/partials/_homeCadre.blade.php
<div class="card-group">
	<div class="card">
		<div class="card-header bg-danger text-white">
			<h5>Demandes d'intervention</h5>
		</div>
		<div class="card-body text-center">
			<ul class="list-group">
				<li class="list-group-item text-center">
					<div class="row">
						<div class="col">
							<strong>Titre</strong>
						</div>
						<div class="col">
							<strong>Urgence</strong>
						</div>
						<div class="col">
							<strong>Statut</strong>
						</div>
						<div class="col">
							<strong>Date</strong>
						</div>
					</div>
				</li>
				@forelse($data['ddis'] as $ddi)
				<li class="list-group-item">
					<div class="row">
						<div class="col">
							<a href="{{route('support.edit',$ddi->id)}}">{{$ddi->titre}}</a>
						</div>
						<div class="col {{$ddi->isUrgent()}}">
							{{$ddi->urgence_ddi->libelle}}
						</div>
						<div class="col">
							{{$ddi->statu_ddi->libelle}}
						</div>
						<div class="col">
							{{$ddi->date_demande}}
						</div>
					</div>
				</li>
				@empty
				<p>Pas de DDI. Bien joué !</p>
				@endforelse
			</ul>
		</div>
	</div>
	<div class="card">
		<div class="card-header bg-danger text-white">
			<h5>Statistiques</h5>
		</div>
		<div class="card-body text-center">
			{!! $data['chart']->container() !!}	
			{!! $data['chart']->script() !!}
		</div>
	</div>
</div>

resources/views/layouts/partials/_nav.blade.php
@guest
<nav class="navbar navbar-expand-md navbar-dark" style="background-color: #dc3545;">
    <a class="navbar-brand" href="{{route('login')}}"><img src="{{asset('img/logo.jpg')}}" alt="logo_mfgs" width="50" height="50"></a>
    @else
    <nav class="navbar navbar-expand-md navbar-dark" style="background-color: #dc3545;">
        <a class="navbar-brand" href="{{route('home',[Auth::user()->droit->libelle])}}"><img src="{{asset('img/logo.jpg')}}" alt="logo_mfgs" width="50" height="50"></a>
        <ul class="navbar-nav">
            <style type="text/css">
            .nav-item{
                font-weight: bold;
            }
        </style>
        <li class="nav-item active">
            <a class="nav-link" href="{{route('home',Auth::user()->droit->libelle)}}">Accueil {!!url()->current()==route('home',Auth::user()->droit->libelle) ? '<span class="sr-only">(current)</span>' : ''!!}</a>
        </li>
        <li class="nav-item dropdown ">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false" id="support" >Notes</a>
            <div class="dropdown-menu" aria-labelledby="support">
                <a class="dropdown-item" href="{{route('note.create')}}">Envoyer une note</a>
                <a class="dropdown-item" href="{{route('note.index')}}">Consulter les notes</a>
            </div>
        </li>
        @if(Auth::User()->droit->cadre)
        <li class="nav-item dropdown ">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false" id="support" >Support</a>
            <div class="dropdown-menu" aria-labelledby="support">
                <a class="dropdown-item" href="{{route('support.create')}}">Envoyer une demande</a>
                <a class="dropdown-item" href="{{route('support.visu')}}">Consulter les demandes</a>
            </div>
        </li>
        @endif

        @if(Auth::User()->isAdmin)
        <li class="nav-item dropdown ">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false" id="user" >Utilisateur</a>
            <div class="dropdown-menu" aria-labelledby="user">
                <a class="dropdown-item" href="{{route('administration.create')}}">Créer</a>
                <a class="dropdown-item" href="{{route('administration.index')}}">Consulter</a>
            </div>
        </li>
        @endif
    </ul>
    <ul class="navbar-nav ml-auto">
        <li class="nav-item dropdown ">
            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                {{ Auth::user()->nom }} {{ Auth::user()->prenom }}<span class="caret"></span>
            </a>

            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" href="{{ route('logout') }}"
                onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">
                {{ __('Logout') }}
            </a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                @csrf
            </form>
        </div>
    </li>
</ul>
@endguest
</nav>